Skala
Work orders

List active work orders

Fetches a list of all work orders that are currently open and in progress.

GET
/api/work_orders/active

Fetches a list of all work orders that are currently open and in progress.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

code?string
plannedQuantity?string
plannedTime?integer
variant.name?string
invoice.contact.name?string
materialStatus?string
materialStatus[]?array<>
invoice.id?integer
invoice.id[]?array<>
root?string
root[]?array<>
barcode?string
exists[parent]?boolean
deadline[before]?string
deadline[strictly_before]?string
deadline[after]?string
deadline[strictly_after]?string
regexp_status?string
order[id]?string
Default"asc"
Value in"asc" | "desc"
order[code]?string
Default"asc"
Value in"asc" | "desc"
order[variant.name]?string
Default"asc"
Value in"asc" | "desc"
order[description]?string
Default"asc"
Value in"asc" | "desc"
order[invoice.contact.name]?string
Default"asc"
Value in"asc" | "desc"
order[plannedQuantity]?string
Default"asc"
Value in"asc" | "desc"
order[plannedTime]?string
Default"asc"
Value in"asc" | "desc"
order[deadline]?string
Default"asc"
Value in"asc" | "desc"
order[status]?string
Default"asc"
Value in"asc" | "desc"
order[materialStatus]?string
Default"asc"
Value in"asc" | "desc"
order[priority]?string
Default"asc"
Value in"asc" | "desc"

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/work_orders/active"
[
  {
    "id": 0,
    "code": "string",
    "series": "string",
    "number": 0,
    "stock": {
      "id": 0,
      "name": "string",
      "unit": {
        "id": 0,
        "name": "string"
      },
      "type": "string",
      "tax": {
        "id": 0,
        "rate": "string",
        "name": "string"
      },
      "currency": {
        "id": 0,
        "name": "string",
        "code": "string",
        "symbol": "string"
      },
      "isMaking": true,
      "isBuying": true,
      "trackType": "string",
      "buyingUnit": {
        "id": 0,
        "name": "string"
      },
      "unitConversion": 1
    },
    "variant": {
      "id": 0,
      "stock": {
        "id": 0,
        "name": "string",
        "unit": {
          "id": 0,
          "name": "string"
        },
        "type": "string",
        "tax": {
          "id": 0,
          "rate": "string",
          "name": "string"
        },
        "currency": {
          "id": 0,
          "name": "string",
          "code": "string",
          "symbol": "string"
        },
        "isMaking": true,
        "isBuying": true,
        "trackType": "string",
        "buyingUnit": {
          "id": 0,
          "name": "string"
        },
        "unitConversion": 1
      },
      "averageCost": "string",
      "valueInStock": "string",
      "code": "string",
      "name": "string",
      "defaultPrice": "string",
      "price": "string",
      "salePrice": "string",
      "internalBarcode": "string",
      "registeredBarcode": "string",
      "supplierBarcode": "string",
      "label": "string"
    },
    "deadline": "2019-08-24T14:15:22Z",
    "plannedQuantity": "string",
    "subtotal": "string",
    "description": "string",
    "status": "string",
    "materialStatus": "string",
    "itemStatus": "string",
    "itemExpectedDate": "2019-08-24T14:15:22Z",
    "materialExpectedDate": "2019-08-24T14:15:22Z",
    "materials": [
      {
        "id": 0,
        "variant": {
          "id": 0,
          "stock": {
            "id": 0,
            "name": "string",
            "unit": {
              "id": 0,
              "name": "string"
            },
            "type": "string",
            "tax": {
              "id": 0,
              "rate": "string",
              "name": "string"
            },
            "currency": {
              "id": 0,
              "name": "string",
              "code": "string",
              "symbol": "string"
            },
            "isMaking": true,
            "isBuying": true,
            "trackType": "string",
            "buyingUnit": {
              "id": 0,
              "name": "string"
            },
            "unitConversion": 1
          },
          "averageCost": "string",
          "valueInStock": "string",
          "code": "string",
          "name": "string",
          "defaultPrice": "string",
          "price": "string",
          "salePrice": "string",
          "internalBarcode": "string",
          "registeredBarcode": "string",
          "supplierBarcode": "string",
          "label": "string"
        },
        "notes": "string",
        "plannedQuantity": "string",
        "cost": "string",
        "status": "string",
        "expectedDate": "2019-08-24T14:15:22Z",
        "totalQuantity": "string",
        "wastage": "string",
        "batches": [
          {
            "id": 0,
            "amount": "string",
            "barcode": "string",
            "batch": {
              "id": 0,
              "variant": {
                "id": 0,
                "stock": {
                  "id": 0,
                  "name": "string",
                  "unit": {
                    "id": 0,
                    "name": "string"
                  },
                  "type": "string",
                  "tax": {
                    "id": 0,
                    "rate": "string",
                    "name": "string"
                  },
                  "currency": {
                    "id": 0,
                    "name": "string",
                    "code": "string",
                    "symbol": "string"
                  },
                  "isMaking": true,
                  "isBuying": true,
                  "trackType": "string",
                  "buyingUnit": {
                    "id": 0,
                    "name": "string"
                  },
                  "unitConversion": 1
                },
                "averageCost": "string",
                "valueInStock": "string",
                "code": "string",
                "name": "string",
                "defaultPrice": "string",
                "price": "string",
                "salePrice": "string",
                "internalBarcode": "string",
                "registeredBarcode": "string",
                "supplierBarcode": "string",
                "label": "string"
              },
              "barcode": "string",
              "expirationDate": "2019-08-24T14:15:22Z",
              "averagePrice": "string"
            }
          }
        ],
        "actualQuantity": "string",
        "serialNumbers": [
          {
            "id": 0,
            "serialNumber": "string",
            "productionDate": "2019-08-24T14:15:22Z",
            "isUsed": true,
            "isCompleted": true,
            "stockVariant": {
              "id": 0,
              "stock": {
                "id": 0,
                "name": "string",
                "unit": {
                  "id": 0,
                  "name": "string"
                },
                "type": "string",
                "tax": {
                  "id": 0,
                  "rate": "string",
                  "name": "string"
                },
                "currency": {
                  "id": 0,
                  "name": "string",
                  "code": "string",
                  "symbol": "string"
                },
                "isMaking": true,
                "isBuying": true,
                "trackType": "string",
                "buyingUnit": {
                  "id": 0,
                  "name": "string"
                },
                "unitConversion": 1
              },
              "averageCost": "string",
              "valueInStock": "string",
              "code": "string",
              "name": "string",
              "defaultPrice": "string",
              "price": "string",
              "salePrice": "string",
              "internalBarcode": "string",
              "registeredBarcode": "string",
              "supplierBarcode": "string",
              "label": "string"
            }
          }
        ],
        "materialUnitCost": "string",
        "consumedQuantity": "string"
      }
    ],
    "operations": [
      {
        "id": 0,
        "operation": {
          "id": 0,
          "name": "string"
        },
        "resource": {
          "id": 0,
          "name": "string"
        },
        "plannedTime": "string",
        "cost": "string",
        "status": "string",
        "isActive": true,
        "notes": "string",
        "dependencies": [
          {
            "id": 0,
            "name": "string"
          }
        ],
        "isLastOperation": true,
        "totalCost": "string",
        "plannedQuantity": 0,
        "actualQuantity": 0
      }
    ],
    "invoice": {
      "id": 0,
      "contact": {
        "id": 0,
        "name": "string"
      },
      "code": "string"
    },
    "invoiceItem": "/entity/1",
    "children": [
      {}
    ],
    "source": "/entity/1",
    "target": "/entity/1",
    "barcode": "string",
    "expirationDate": "2019-08-24T14:15:22Z",
    "logs": [
      {
        "id": 0,
        "operation": {
          "id": 0,
          "operation": {
            "id": 0,
            "name": "string"
          },
          "resource": {
            "id": 0,
            "name": "string"
          },
          "plannedTime": "string",
          "cost": "string",
          "status": "string",
          "isActive": true,
          "notes": "string",
          "dependencies": [
            {
              "id": 0,
              "name": "string"
            }
          ],
          "isLastOperation": true,
          "totalCost": "string",
          "plannedQuantity": 0,
          "actualQuantity": 0
        },
        "startDate": "2019-08-24T14:15:22Z",
        "endDate": "2019-08-24T14:15:22Z",
        "startByUser": {
          "id": 0,
          "firstName": "string",
          "lastName": "string"
        },
        "endByUser": {
          "id": 0,
          "firstName": "string",
          "lastName": "string"
        },
        "duration": 0
      }
    ],
    "materialLogs": [
      {
        "id": 0,
        "plannedQuantity": "string",
        "actualQuantity": "string",
        "unitCost": "string",
        "totalCost": "string",
        "batch": {
          "id": 0,
          "variant": {
            "id": 0,
            "stock": {
              "id": 0,
              "name": "string",
              "unit": {
                "id": 0,
                "name": "string"
              },
              "type": "string",
              "tax": {
                "id": 0,
                "rate": "string",
                "name": "string"
              },
              "currency": {
                "id": 0,
                "name": "string",
                "code": "string",
                "symbol": "string"
              },
              "isMaking": true,
              "isBuying": true,
              "trackType": "string",
              "buyingUnit": {
                "id": 0,
                "name": "string"
              },
              "unitConversion": 1
            },
            "averageCost": "string",
            "valueInStock": "string",
            "code": "string",
            "name": "string",
            "defaultPrice": "string",
            "price": "string",
            "salePrice": "string",
            "internalBarcode": "string",
            "registeredBarcode": "string",
            "supplierBarcode": "string",
            "label": "string"
          },
          "barcode": "string",
          "expirationDate": "2019-08-24T14:15:22Z",
          "averagePrice": "string"
        },
        "variant": {
          "id": 0,
          "stock": {
            "id": 0,
            "name": "string",
            "unit": {
              "id": 0,
              "name": "string"
            },
            "type": "string",
            "tax": {
              "id": 0,
              "rate": "string",
              "name": "string"
            },
            "currency": {
              "id": 0,
              "name": "string",
              "code": "string",
              "symbol": "string"
            },
            "isMaking": true,
            "isBuying": true,
            "trackType": "string",
            "buyingUnit": {
              "id": 0,
              "name": "string"
            },
            "unitConversion": 1
          },
          "averageCost": "string",
          "valueInStock": "string",
          "code": "string",
          "name": "string",
          "defaultPrice": "string",
          "price": "string",
          "salePrice": "string",
          "internalBarcode": "string",
          "registeredBarcode": "string",
          "supplierBarcode": "string",
          "label": "string"
        }
      }
    ],
    "materialCost": "string",
    "operationCost": "string",
    "totalCost": "string",
    "unitPrice": "string",
    "totalPrice": "string",
    "duration": 0,
    "actualQuantity": "string",
    "batchNumber": "string",
    "plannedTime": 0,
    "serialNumbers": [
      {
        "id": 0,
        "serialNumber": "string",
        "productionDate": "2019-08-24T14:15:22Z",
        "isUsed": true,
        "isCompleted": true,
        "stockVariant": {
          "id": 0,
          "stock": {
            "id": 0,
            "name": "string",
            "unit": {
              "id": 0,
              "name": "string"
            },
            "type": "string",
            "tax": {
              "id": 0,
              "rate": "string",
              "name": "string"
            },
            "currency": {
              "id": 0,
              "name": "string",
              "code": "string",
              "symbol": "string"
            },
            "isMaking": true,
            "isBuying": true,
            "trackType": "string",
            "buyingUnit": {
              "id": 0,
              "name": "string"
            },
            "unitConversion": 1
          },
          "averageCost": "string",
          "valueInStock": "string",
          "code": "string",
          "name": "string",
          "defaultPrice": "string",
          "price": "string",
          "salePrice": "string",
          "internalBarcode": "string",
          "registeredBarcode": "string",
          "supplierBarcode": "string",
          "label": "string"
        }
      }
    ],
    "hasSerialNumber": true,
    "plannedMaterialCost": "string",
    "plannedOperationCost": "string",
    "plannedCost": "string",
    "completedQuantity": "string",
    "remainingQuantity": "string"
  }
]